commit:     87318b1cde334275d51b80790b476f4cc8159242
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Sun Sep 30 11:36:02 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 30 11:46:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87318b1c

app-admin/chroot_safe: EAPI7 revbump, improve ebuild

Closes: https://bugs.gentoo.org/667358
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/10022

 app-admin/chroot_safe/chroot_safe-1.4-r1.ebuild | 33 +++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/app-admin/chroot_safe/chroot_safe-1.4-r1.ebuild 
b/app-admin/chroot_safe/chroot_safe-1.4-r1.ebuild
new file mode 100644
index 00000000000..1eb04bd3ccb
--- /dev/null
+++ b/app-admin/chroot_safe/chroot_safe-1.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Chroot any dynamically linked application in a safe and sane 
manner"
+HOMEPAGE="http://chrootsafe.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN//_}/${P}.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+PATCHES=( "${FILESDIR}"/${P}-ldflags.patch )
+
+src_configure() {
+       econf --libexecdir="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_compile() {
+       emake CPPFLAGS="${CXXFLAGS}" CXX="$(tc-getCXX)"
+}
+
+src_install() {
+       dolib.so chroot_safe.so
+       dosbin chroot_safe
+       sed -i -e "s:/chroot_safe::" "${ED}"/usr/sbin/chroot_safe \
+               || die "sed chroot_safe failed"
+       doman chroot_safe.1
+       dodoc CHANGES.txt
+}

Reply via email to